#!/bin/sh

mkdir -p /config
mkdir -p /binary
mkdir -p /default
chown -R root:root *
chmod a+x binary/modbus2mbus
chmod a+x etc/init.d/S96modbus2mbus
chmod a+x www/cgi-bin/*
chmod a+rw config/*
chmod 644 libs/*
cp binary/modbus2mbus /binary
cp config/modbus2mbus_default.ini /config
cp config/modbus2mbus_default.ini /default
(cd libs && ln -s libmxml.so.1.5 libmxml.so.1)
(cd libs && ln -s libmxml.so.1.5 libmxml.so)
cp -a etc  /
cp -a www  /
cp -a libs/* /usr/lib/
if [ ! -f /config/modbus2mbus.ini ]
then
  cp /config/modbus2mbus_default.ini /config/modbus2mbus.ini
fi
if [ ! -f /config/modbus2mbus.xml ]
then
  cp config/modbus2mbus.xml /config/modbus2mbus.xml
fi
var=$(grep "Modbus2MBus" /www/menu.htm)
if [ -z "$var" ]; then
   #echo "Adding QuickPost to menu"
   sed -i 's/PIIGAB_EXTRA_PROGRAMS-->/PIIGAB_EXTRA_PROGRAMS-->\n<li>\n<a target=\"mainframe\" title=\"Modbus2MBus\" href=\"\/cgi-bin\/modbus2mbus.py\">Modbus2MBus<\/a>\n<\/li>\n/g' /www/menu.htm
fi
